// {$R SimBase.JFM}
//Cellulat simulation
//Carlos Gershenson
//carlos@jlagunez.iquimica.unam.mx

import java.awt.*;
import java.applet.Applet;
import vrml.external.Browser;

// Class SimBase
public class SimBase extends Applet
{
    static Celulat celulat;
    final int MenuBarHeight = 0;
    static Browser browser;
    // Component Declaration
    // End of Component Declaration

    // init()
    public void init()
    {
        // Frame Initialization
        setForeground(Color.black);
        setBackground(Color.white);
        setFont(new Font("Dialog",Font.BOLD,12));
        setLayout(null);
        // End of Frame Initialization

        // Component Initialization
        // End of Component Initialization

        // Add()s
        // End of Add()s
        InitialPositionSet();
        //simframe=new SimFrame();
        //start();
    } // End of init()

    // start()
    public void start()
    {
      browser = (Browser) vrml.external.Browser.getBrowser(this);
      celulat=new Celulat();
    } // End of start()

    // stop()
    public void stop()
    {
    } // End of stop()
    // destroy()
    public void destroy()
    {
    } // End of destroy()

    public void paint(Graphics g)
    {
        // paint()
        // End of paint()
    }

    public void InitialPositionSet()
    {
        // InitialPositionSet()
        resize(104,13);
        // End of InitialPositionSet()
    }

    public boolean handleEvent(Event evt){
        // handleEvent()
        if (evt.id == Event.WINDOW_DESTROY && evt.target == this) SimBase_WindowDestroy(evt.target);
        // End of handleEvent()

        return super.handleEvent(evt);
    }
    
    public static void reset(){
      celulat.destroy();
      celulat=new Celulat();
    }
    // Event Handling Routines
    public void SimBase_WindowDestroy(Object target)
    {
        System.exit(0);
    }

    // End of Event Handling Routines

} // End of Class SimBase